> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clicker.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Leaderboard Ranking

> Get a specific user's ranking position based on combined PnL across selected chains.

Get a specific user's ranking position based on combined PnL across selected chains.

## Usage

```bash theme={null}
# Get ranking across all chains
GET /v2/leaderboard/ranking?address=0x1234...

# Get ranking for specific chains
GET /v2/leaderboard/ranking?address=0x1234...&chains=base&chains=solana
```

## Response

```json theme={null}
{
  "ranking": 42
}
```

Returns `null` if the user is not on the leaderboard (either not a trader or below the minimum threshold).

## Notes

* Ranking is 1-indexed (rank 1 = top trader)
* When multiple chains are specified, PnL is summed across those chains for ranking
* Omitting `chains` parameter uses all supported chains


## OpenAPI

````yaml GET /v2/leaderboard/ranking
openapi: 3.0.0
info:
  version: 1.0.0
  title: Daylight.xyz API
  description: >-
    Welcome to the Daylight API! API endpoints require a Daylight partner API
    key passed in the HTTP Authorization header.
servers:
  - url: https://api.clicker.xyz
security:
  - {}
  - bearerAuth: []
paths:
  /v2/leaderboard/ranking:
    get:
      tags:
        - Social - Feed, Profiles and Discovery
      summary: Get User Leaderboard Ranking (V2)
      description: >-
        Get a specific user's ranking position based on combined PnL across
        selected chains.
      parameters:
        - schema:
            type: string
            default: '0xa4e221aa5a7ba51b5d5c7d5c923bfb9bcebcb252'
            description: The address / public key.
          required: true
          name: address
          in: query
        - schema:
            anyOf:
              - type: string
                enum:
                  - base
                  - solana
                  - ethereum
                  - hyperliquid
              - type: array
                items:
                  type: string
                  enum:
                    - base
                    - solana
                    - ethereum
                    - hyperliquid
          required: false
          name: chains
          in: query
        - schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
          required: false
          name: onlyWithComments
          in: query
        - schema:
            type: string
            enum:
              - 7d
              - 30d
            default: 30d
          required: false
          name: timeframe
          in: query
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LeaderboardV2RankingResponse'
        '400':
          description: >-
            The request payload or query string parameter you passed was not
            valid
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  schemas:
    LeaderboardV2RankingResponse:
      type: object
      properties:
        ranking:
          type: number
          nullable: true
        pnl:
          type: object
          nullable: true
          properties:
            total:
              type: number
            perChain:
              type: object
              properties:
                base:
                  type: number
                solana:
                  type: number
                ethereum:
                  type: number
                hyperliquid:
                  type: number
          required:
            - total
      required:
        - ranking
        - pnl
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````